CREATE TABLE fai_sam_anomaly_def_b (
    ANOMALY_DEF_ID           NUMBER(18, 0) ,
    DETECTION_KEY            VARCHAR2(4000)    NOT NULL,
    SEND_TO                  VARCHAR2(4000),
    PRIORITY                 NUMBER        ,
    THRESHOLD                VARCHAR2(4000),
    THRESHOLD_ON_VALUE       VARCHAR2(4000),
    DETECTION_GROUP          VARCHAR2(960) ,
    DETECTION_LEVEL          VARCHAR2(320) ,
    OVERWRITE_PRODUCT        VARCHAR2(320) ,
    GRACE_PERIOD             NUMBER        ,
    DETECTION_TYPE           VARCHAR2(320) ,
    DETECTION_OBJECT         VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    SGUID                    VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ANOMALY_DEF_ID           NUMBER(18, 0) ,
    DETECTION_KEY            VARCHAR2(4000)    NOT NULL,
    SEND_TO                  VARCHAR2(4000),
    PRIORITY                 NUMBER        ,
    THRESHOLD                VARCHAR2(4000),
    THRESHOLD_ON_VALUE       VARCHAR2(4000),
    DETECTION_GROUP          VARCHAR2(960) ,
    DETECTION_LEVEL          VARCHAR2(320) ,
    OVERWRITE_PRODUCT        VARCHAR2(320) ,
    GRACE_PERIOD             NUMBER        ,
    DETECTION_TYPE           VARCHAR2(320) ,
    DETECTION_OBJECT         VARCHAR2(4000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    SGUID                    VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_fai_sam_anomaly_def_b PRIMARY KEY (ANOMALY_DEF_ID, ANOMALY_DEF_ID)
);
